List persisted assistant threads
curl --request GET \
--url https://api-v2.watchcollect.com/v2/agent/threads \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/agent/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/agent/threads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"threads": [
{
"remoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "regular",
"createdAtMs": 123,
"updatedAtMs": 123,
"externalId": "<string>",
"title": "<string>"
}
]
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}agent
List persisted assistant threads
Lists assistant threads stored at the authenticated Clerk user level, not the workspace level.
GET
/
v2
/
agent
/
threads
List persisted assistant threads
curl --request GET \
--url https://api-v2.watchcollect.com/v2/agent/threads \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/agent/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/agent/threads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"threads": [
{
"remoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "regular",
"createdAtMs": 123,
"updatedAtMs": 123,
"externalId": "<string>",
"title": "<string>"
}
]
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}